clear
import excel "regData.xlsx", sheet("pooled data") firstrow

* TABLE 3: BASE and Incremental Effect of FT relative to BASE
reg abspdev a_b b_b d_b e_b f_b a_fr b_fr c_fr d_fr e_fr f_fr if (base==1)|((fr==1)&(pca==1)), robust cluster(market)
*------------------------------(1)----------------------------------------------
* BASE: |Pmed - Pfx|
display " <$3.00       " _b[a_b]+_b[_cons]
display " $3.00-$4.39  " _b[b_b]+_b[_cons]
display " $4.40-$4.99  " _b[_cons]
display " $5.00-$5.59  " _b[d_b]+_b[_cons]
display " $5.60-$6.99  " _b[e_b]+_b[_cons]
display " >$7.00       " _b[f_b]+_b[_cons]

* FT-VIC: |Pmed - Pfx|  
display " <$3.00       " _b[a_fr]-_b[a_b]
display " $3.00-$4.39  " _b[b_fr]-_b[b_b]
display " $4.40-$4.99  " _b[c_fr]
display " $5.00-$5.59  " _b[d_fr]-_b[d_b]
display " $5.60-$6.99  " _b[e_fr]-_b[e_b]
display " >$7.00       " _b[f_fr]-_b[f_b]

test a_b=a_fr
test b_b=b_fr
test d_b =d_fr
test e_b=e_fr
test f_b = f_fr

reg eff a_b b_b d_b e_b f_b a_fr b_fr c_fr d_fr e_fr f_fr if (base==1)|((fr==1)&(pca==1)), robust cluster(market)
*------------------------------(2)----------------------------------------------
* BASE: Allocative Efficiency
display " <$3.00       " _b[a_b]+_b[_cons]
display " $3.00-$4.39  " _b[b_b]+_b[_cons]
display " $4.40-$4.99  " _b[_cons]
display " $5.00-$5.59  " _b[d_b]+_b[_cons]
display " $5.60-$6.99  " _b[e_b]+_b[_cons]
display " >$7.00       " _b[f_b]+_b[_cons]

* FT-VIC: Allocative Efficiency  
display " <$3.00       " _b[a_fr]-_b[a_b]
display " $3.00-$4.39  " _b[b_fr]-_b[b_b]
display " $4.40-$4.99  " _b[c_fr]
display " $5.00-$5.59  " _b[d_fr]-_b[d_b]
display " $5.60-$6.99  " _b[e_fr]-_b[e_b]
display " >$7.00       " _b[f_fr]-_b[f_b]

test a_b=a_fr
test b_b=b_fr
test d_b =d_fr
test e_b=e_fr
test f_b = f_fr


reg aggmpct a_fr b_fr c_fr d_fr e_fr f_fr if (base==1)|((fr==1)&(pca==1)),robust cluster(market)
*------------------------------(3)----------------------------------------------
* FT-VIC: Conversion Error Rate  

display " <$3.00       " _b[a_fr]+_b[_cons]
display " $3.00-$4.39  " _b[b_fr]+_b[_cons]
display " $4.40-$4.99  " _b[c_fr]+_b[_cons]
display " $5.00-$5.59  " _b[d_fr]+_b[_cons]
display " $5.60-$6.99  " _b[e_fr]+_b[_cons]
display " >$7.00       " _b[f_fr]+_b[_cons]


reg abspdev a_b b_b d_b e_b f_b a_fr b_fr c_fr d_fr e_fr f_fr if (base==1)|((fr==1)&(nca==1)), robust cluster(market)
*------------------------------(4)----------------------------------------------
* FT-VDC: |Pmed - Pfx|  
display " <$3.00       " _b[a_fr]-_b[a_b]
display " $3.00-$4.39  " _b[b_fr]-_b[b_b]
display " $4.40-$4.99  " _b[c_fr]
display " $5.00-$5.59  " _b[d_fr]-_b[d_b]
display " $5.60-$6.99  " _b[e_fr]-_b[e_b]
display " >$7.00       " _b[f_fr]-_b[f_b]

test a_b=a_fr
test b_b=b_fr
test d_b =d_fr
test e_b=e_fr
test f_b = f_fr

reg eff a_b b_b d_b e_b f_b a_fr b_fr c_fr d_fr e_fr f_fr if (base==1)|((fr==1)&(nca==1)), robust cluster(market)

*------------------------------(5)----------------------------------------------
* FT-VDC: Allocative Efficiency  
display " <$3.00       " _b[a_fr]-_b[a_b]
display " $3.00-$4.39  " _b[b_fr]-_b[b_b]
display " $4.40-$4.99  " _b[c_fr]
display " $5.00-$5.59  " _b[d_fr]-_b[d_b]
display " $5.60-$6.99  " _b[e_fr]-_b[e_b]
display " >$7.00       " _b[f_fr]-_b[f_b]

test a_b=a_fr
test b_b=b_fr
test d_b =d_fr
test e_b=e_fr
test f_b = f_fr

reg aggmpct a_fr b_fr c_fr d_fr e_fr f_fr if (base==1)|((fr==1)&(nca==1)),robust cluster(market)
*------------------------------(6)----------------------------------------------
* FT-VDC: Conversion Error Rate  
display " <$3.00       " _b[a_fr]+_b[_cons]
display " $3.00-$4.39  " _b[b_fr]+_b[_cons]
display " $4.40-$4.99  " _b[c_fr]+_b[_cons]
display " $5.00-$5.59  " _b[d_fr]+_b[_cons]
display " $5.60-$6.99  " _b[e_fr]+_b[_cons]
display " >$7.00       " _b[f_fr]+_b[_cons]


* TABLE 4: Incremental Effect of REG relative to BASE
reg abspdev a_b b_b d_b e_b f_b a_reg b_reg c_reg d_reg e_reg f_reg if (base==1)|((reg==1)&(pca==1)),  robust cluster(market)

*------------------------------(1)----------------------------------------------
* FT-VIC: |Pmed - Pfx|  
display " <$3.00       " _b[a_reg]-_b[a_b]
display " $3.00-$4.39  " _b[b_reg]-_b[b_b]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_b]
display " $5.60-$6.99  " _b[e_reg]-_b[e_b]
display " >$7.00       " _b[f_reg]-_b[f_b]

test a_b=a_reg
test b_b=b_reg
test d_b =d_reg
test e_b=e_reg
test f_b = f_reg

reg eff a_b b_b d_b e_b f_b a_reg b_reg c_reg d_reg e_reg f_reg if (base==1)|((reg==1)&(pca==1)),  robust cluster(market)

*------------------------------(2)----------------------------------------------
* FT-VIC: Allocative Efficiency  
display " <$3.00       " _b[a_reg]-_b[a_b]
display " $3.00-$4.39  " _b[b_reg]-_b[b_b]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_b]
display " $5.60-$6.99  " _b[e_reg]-_b[e_b]
display " >$7.00       " _b[f_reg]-_b[f_b]

test a_b=a_reg
test b_b=b_reg
test d_b =d_reg
test e_b=e_reg
test f_b = f_reg

reg aggmpct a_reg b_reg c_reg d_reg e_reg f_reg if (base==1)|((reg==1)&(pca==1)),  robust cluster(market)

*------------------------------(3)----------------------------------------------
* FT-VIC: Conversion Error Rate  
display " <$3.00       " _b[a_reg]+_b[_cons]
display " $3.00-$4.39  " _b[b_reg]+_b[_cons]
display " $4.40-$4.99  " _b[c_reg]+_b[_cons]
display " $5.00-$5.59  " _b[d_reg]+_b[_cons]
display " $5.60-$6.99  " _b[e_reg]+_b[_cons]
display " >$7.00       " _b[f_reg]+_b[_cons]


reg abspdev a_b b_b d_b e_b f_b a_reg b_reg c_reg d_reg e_reg f_reg if (base==1)|((reg==1)&(nca==1)),  robust cluster(market)
*------------------------------(4)----------------------------------------------
* FT-VDC: |Pmed - Pfx|  
display " <$3.00       " _b[a_reg]-_b[a_b]
display " $3.00-$4.39  " _b[b_reg]-_b[b_b]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_b]
display " $5.60-$6.99  " _b[e_reg]-_b[e_b]
display " >$7.00       " _b[f_reg]-_b[f_b]

test a_b=a_reg
test b_b=b_reg
test d_b =d_reg
test e_b=e_reg
test f_b = f_reg

reg eff a_b b_b d_b e_b f_b a_reg b_reg c_reg d_reg e_reg f_reg if (base==1)|((reg==1)&(nca==1)),  robust cluster(market)
*------------------------------(5)----------------------------------------------
* FT-VDC: Allocative Efficiency  
display " <$3.00       " _b[a_reg]-_b[a_b]
display " $3.00-$4.39  " _b[b_reg]-_b[b_b]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_b]
display " $5.60-$6.99  " _b[e_reg]-_b[e_b]
display " >$7.00       " _b[f_reg]-_b[f_b]

test a_b=a_reg
test b_b=b_reg
test d_b =d_reg
test e_b=e_reg
test f_b = f_reg

reg aggmpct a_reg b_reg c_reg d_reg e_reg f_reg if (base==1)|((reg==1)&(nca==1)),  robust cluster(market)
*------------------------------(6)----------------------------------------------
* FT-VDC: Conversion Error Rate  
display " <$3.00       " _b[a_reg]+_b[_cons]
display " $3.00-$4.39  " _b[b_reg]+_b[_cons]
display " $4.40-$4.99  " _b[c_reg]+_b[_cons]
display " $5.00-$5.59  " _b[d_reg]+_b[_cons]
display " $5.60-$6.99  " _b[e_reg]+_b[_cons]
display " >$7.00       " _b[f_reg]+_b[_cons]



* TABLE 5:
reg abspdev a_fr b_fr d_fr e_fr f_fr a_reg b_reg c_reg d_reg e_reg f_reg if ((fr==1)|(reg==1))&(pca==1)&(base~=1),  robust cluster(market)
*------------------------------(1)----------------------------------------------
* FT-VIC: |Pmed - Pfx|  
display " <$3.00       " _b[a_reg]-_b[a_fr]
display " $3.00-$4.39  " _b[b_reg]-_b[b_fr]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_fr]
display " $5.60-$6.99  " _b[e_reg]-_b[e_fr]
display " >$7.00       " _b[f_reg]-_b[f_fr]

test a_fr=a_reg
test b_fr=b_reg
test d_fr=d_reg
test e_fr=e_reg
test f_fr=f_reg

reg eff a_fr b_fr d_fr e_fr f_fr a_reg b_reg c_reg d_reg e_reg f_reg if ((fr==1)|(reg==1))&(pca==1)&(base~=1),  robust cluster(market)
*------------------------------(2)----------------------------------------------
* FT-VDC: Allocative Efficiency  
display " <$3.00       " _b[a_reg]-_b[a_fr]
display " $3.00-$4.39  " _b[b_reg]-_b[b_fr]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_fr]
display " $5.60-$6.99  " _b[e_reg]-_b[e_fr]
display " >$7.00       " _b[f_reg]-_b[f_fr]

test a_fr=a_reg
test b_fr=b_reg
test d_fr=d_reg
test e_fr=e_reg
test f_fr=f_reg

reg aggmpct a_fr b_fr d_fr e_fr f_fr a_reg b_reg c_reg d_reg e_reg f_reg if ((fr==1)|(reg==1))&(pca==1)&(base~=1),  robust cluster(market)

*------------------------------(3)----------------------------------------------
* FT-VIC: Conversion Error Rate  
display " <$3.00       " _b[a_reg]-_b[a_fr]
display " $3.00-$4.39  " _b[b_reg]-_b[b_fr]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_fr]
display " $5.60-$6.99  " _b[e_reg]-_b[e_fr]
display " >$7.00       " _b[f_reg]-_b[f_fr]

test a_fr=a_reg
test b_fr=b_reg
test d_fr=d_reg
test e_fr=e_reg
test f_fr=f_reg

reg abspdev a_fr b_fr d_fr e_fr f_fr a_reg b_reg c_reg d_reg e_reg f_reg if ((fr==1)|(reg==1))&(nca==1)&(base~=1),  robust cluster(market)
*------------------------------(4)----------------------------------------------
* FT-VDC: |Pmed - Pfx|  
display " <$3.00       " _b[a_reg]-_b[a_fr]
display " $3.00-$4.39  " _b[b_reg]-_b[b_fr]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_fr]
display " $5.60-$6.99  " _b[e_reg]-_b[e_fr]
display " >$7.00       " _b[f_reg]-_b[f_fr]

test a_fr=a_reg
test b_fr=b_reg
test d_fr=d_reg
test e_fr=e_reg
test f_fr=f_reg

reg eff a_fr b_fr d_fr e_fr f_fr a_reg b_reg c_reg d_reg e_reg f_reg if ((fr==1)|(reg==1))&(nca==1)&(base~=1),  robust cluster(market)
*------------------------------(5)----------------------------------------------
* FT-VDC: Allocative Efficiency  
display " <$3.00       " _b[a_reg]-_b[a_fr]
display " $3.00-$4.39  " _b[b_reg]-_b[b_fr]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_fr]
display " $5.60-$6.99  " _b[e_reg]-_b[e_fr]
display " >$7.00       " _b[f_reg]-_b[f_fr]

test a_fr=a_reg
test b_fr=b_reg
test d_fr=d_reg
test e_fr=e_reg
test f_fr=f_reg

reg aggmpct a_fr b_fr d_fr e_fr f_fr a_reg b_reg c_reg d_reg e_reg f_reg if ((fr==1)|(reg==1))&(nca==1)&(base~=1),  robust cluster(market)
*------------------------------(6)----------------------------------------------
* FT-VDC: Conversion Error Rate  
display " <$3.00       " _b[a_reg]-_b[a_fr]
display " $3.00-$4.39  " _b[b_reg]-_b[b_fr]
display " $4.40-$4.99  " _b[c_reg]
display " $5.00-$5.59  " _b[d_reg]-_b[d_fr]
display " $5.60-$6.99  " _b[e_reg]-_b[e_fr]
display " >$7.00       " _b[f_reg]-_b[f_fr]

test a_fr=a_reg
test b_fr=b_reg
test d_fr=d_reg
test e_fr=e_reg
test f_fr=f_reg

* TABLE 6:
reg abspdev a_reg b_reg d_reg e_reg f_reg a_pr b_pr c_pr d_pr e_pr f_pr if ((reg==1)|(pred==1))&(pca==1)&(base~=1),  robust cluster(market)
*------------------------------(1)----------------------------------------------
* FT-VIC: |Pmed - Pfx|  
display " <$3.00       " _b[a_pr]-_b[a_reg]
display " $3.00-$4.39  " _b[b_pr]-_b[b_reg]
display " $4.40-$4.99  " _b[c_pr]
display " $5.00-$5.59  " _b[d_pr]-_b[d_reg]
display " $5.60-$6.99  " _b[e_pr]-_b[e_reg]
display " >$7.00       " _b[f_pr]-_b[f_reg]

test a_reg=a_pr
test b_reg=b_pr
test d_reg=d_pr
test e_reg=e_pr
test f_reg=f_pr


reg eff a_reg b_reg d_reg e_reg f_reg a_pr b_pr c_pr d_pr e_pr f_pr if ((reg==1)|(pred==1))&(pca==1)&(base~=1),  robust cluster(market)
*------------------------------(2)----------------------------------------------
* FT-VIC: Allocative Efficiency  
display " <$3.00       " _b[a_pr]-_b[a_reg]
display " $3.00-$4.39  " _b[b_pr]-_b[b_reg]
display " $4.40-$4.99  " _b[c_pr]
display " $5.00-$5.59  " _b[d_pr]-_b[d_reg]
display " $5.60-$6.99  " _b[e_pr]-_b[e_reg]
display " >$7.00       " _b[f_pr]-_b[f_reg]

test a_reg=a_pr
test b_reg=b_pr
test d_reg=d_pr
test e_reg=e_pr
test f_reg=f_pr

reg aggmpct a_reg b_reg d_reg e_reg f_reg a_pr b_pr c_pr d_pr e_pr f_pr if ((reg==1)|(pred==1))&(pca==1)&(base~=1),  robust cluster(market)
*------------------------------(3)----------------------------------------------
* FT-VIC: Conversion Error Rate  
display " <$3.00       " _b[a_pr]-_b[a_reg]
display " $3.00-$4.39  " _b[b_pr]-_b[b_reg]
display " $4.40-$4.99  " _b[c_pr]
display " $5.00-$5.59  " _b[d_pr]-_b[d_reg]
display " $5.60-$6.99  " _b[e_pr]-_b[e_reg]
display " >$7.00       " _b[f_pr]-_b[f_reg]

test a_reg=a_pr
test b_reg=b_pr
test d_reg=d_pr
test e_reg=e_pr
test f_reg=f_pr

reg abspdev a_reg b_reg d_reg e_reg f_reg a_pr b_pr c_pr d_pr e_pr f_pr if ((reg==1)|(pred==1))&(nca==1)&(base~=1),  robust cluster(market)
*------------------------------(4)----------------------------------------------
* FT-VDC: |Pmed - Pfx|  
display " <$3.00       " _b[a_pr]-_b[a_reg]
display " $3.00-$4.39  " _b[b_pr]-_b[b_reg]
display " $4.40-$4.99  " _b[c_pr]
display " $5.00-$5.59  " _b[d_pr]-_b[d_reg]
display " $5.60-$6.99  " _b[e_pr]-_b[e_reg]
display " >$7.00       " _b[f_pr]-_b[f_reg]

test a_reg=a_pr
test b_reg=b_pr
test d_reg=d_pr
test e_reg=e_pr
test f_reg=f_pr

reg eff a_reg b_reg d_reg e_reg f_reg a_pr b_pr c_pr d_pr e_pr f_pr if ((reg==1)|(pred==1))&(nca==1)&(base~=1),  robust cluster(market)
*------------------------------(5)----------------------------------------------
* FT-VDC: Allocative Efficiency  
display " <$3.00       " _b[a_pr]-_b[a_reg]
display " $3.00-$4.39  " _b[b_pr]-_b[b_reg]
display " $4.40-$4.99  " _b[c_pr]
display " $5.00-$5.59  " _b[d_pr]-_b[d_reg]
display " $5.60-$6.99  " _b[e_pr]-_b[e_reg]
display " >$7.00       " _b[f_pr]-_b[f_reg]

test a_reg=a_pr
test b_reg=b_pr
test d_reg=d_pr
test e_reg=e_pr
test f_reg=f_pr

reg aggmpct a_reg b_reg d_reg e_reg f_reg a_pr b_pr c_pr d_pr e_pr f_pr if ((reg==1)|(pred==1))&(nca==1)&(base~=1),  robust cluster(market)
*------------------------------(6)----------------------------------------------
* FT-VDC: Conversion Error Rate  
display " <$3.00       " _b[a_pr]-_b[a_reg]
display " $3.00-$4.39  " _b[b_pr]-_b[b_reg]
display " $4.40-$4.99  " _b[c_pr]
display " $5.00-$5.59  " _b[d_pr]-_b[d_reg]
display " $5.60-$6.99  " _b[e_pr]-_b[e_reg]
display " >$7.00       " _b[f_pr]-_b[f_reg]

test a_reg=a_pr
test b_reg=b_pr
test d_reg=d_pr
test e_reg=e_pr
test f_reg=f_pr
